clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::HeaderSearchOptions::SystemHeaderPrefix Struct Reference

`#include "clang/Lex/HeaderSearchOptions.h"`

Collaboration diagram for clang::HeaderSearchOptions::SystemHeaderPrefix:
[legend]

## Public Member Functions
| SystemHeaderPrefix (StringRef Prefix, bool IsSystemHeader)

## Public Attributes
std::string | Prefix
| A prefix to be matched against paths in #include directives. More...
bool | IsSystemHeader
| True if paths beginning with this prefix should be treated as system headers. More...

## Detailed Description

Definition at line 85 of file HeaderSearchOptions.h.

## Constructor & Destructor Documentation

## ◆ SystemHeaderPrefix()

clang::HeaderSearchOptions::SystemHeaderPrefix::SystemHeaderPrefix | ( | StringRef | Prefix,
|  | bool | IsSystemHeader
| ) |  |
| inline

Definition at line 93 of file HeaderSearchOptions.h.

## Member Data Documentation

## ◆ IsSystemHeader

bool clang::HeaderSearchOptions::SystemHeaderPrefix::IsSystemHeader

True if paths beginning with this prefix should be treated as system headers.

Definition at line 91 of file HeaderSearchOptions.h.

Referenced by clang::hash_value().

## ◆ Prefix

std::string clang::HeaderSearchOptions::SystemHeaderPrefix::Prefix

A prefix to be matched against paths in #include directives.

Definition at line 87 of file HeaderSearchOptions.h.

Referenced by clang::hash_value().

The documentation for this struct was generated from the following file:

- include/clang/Lex/HeaderSearchOptions.h